//
//  Model.swift
//  Contacts
//
//  Created by Fabian Mecklenburg on 11.10.20.
//

import Foundation

class Model {
    
    private let contact1 = Contact(firstname: "Steve", lastname: "Jobs")
    private let contact2 = Contact(firstname: "Mark", lastname: "Zuckerberg")
    private let contact3 = Contact(firstname: "Bill", lastname: "Gates")
    private let contact4 = Contact(firstname: "Elon", lastname: "Musk")
    private let contact5 = Contact(firstname: "Eric", lastname: "Musk")
    
    var contacts = [String: [Contact]]()
    
    init() {
        contacts["S"] = [contact1]
        contacts["M"] = [contact2]
        contacts["B"] = [contact3]
        contacts["E"] = [contact4, contact5]
    }
    
}

struct Contact {
    let firstname: String
    let lastname: String
}
